Version 1.5.9 - Plugins Interface

The latest news about Gargoyle

Moderator: Moderators

Wild Rat
Posts: 40
Joined: Fri Feb 17, 2012 9:43 pm

Re: Version 1.5.9 - Plugins Interface

Postby Wild Rat » Fri Jan 04, 2013 8:02 am

When upgrading from 1.5.8 preserving settings file /etc/config/gargoyle is remaining old, and Plugins option not showing.

Wisse
Posts: 37
Joined: Wed Aug 10, 2011 6:19 am

Re: Version 1.5.9 - Plugins Interface

Postby Wisse » Fri Jan 04, 2013 9:14 am

Reporting in from successful 1.5.8 -> 1.5.9 upgrade on Linksys WRT160NL.

I did not "Attempt to Preserve Settings". Manual settings restore worked fine. I'll let you know in a few days if 1.5.8 version's wireless problems still exist.

Gargoyle plugin URL returns "403 Forbidden". I guess there are no plugins available yet.

Thank you for this great firmware!

Shahar75
Posts: 2
Joined: Fri Jan 04, 2013 4:47 am

Re: Version 1.5.9 - Plugins Interface

Postby Shahar75 » Fri Jan 04, 2013 1:23 pm

WR4310ND - When trying to change password of a user under usb storage, i get a password mismatch between the two new passwords.
I've even tried to put "1" as a password, but i get the same message.
I use Chrome.

Sitman
Posts: 6
Joined: Thu Jan 03, 2013 12:53 am

Re: Version 1.5.9 - Plugins Interface

Postby Sitman » Fri Jan 04, 2013 7:06 pm

Wild Rat wrote:When upgrading from 1.5.8 preserving settings file /etc/config/gargoyle is remaining old, and Plugins option not showing.


I upgraded fine. Ticked the "Preserve Settings" box. However if I should have a menu item Systems\Plugins, then it's not there.

Suggestions other than a full "firstboot"'?

Sitman
Posts: 6
Joined: Thu Jan 03, 2013 12:53 am

Re: Version 1.5.9 - Plugins Interface

Postby Sitman » Fri Jan 04, 2013 10:32 pm

Sitman wrote:
Wild Rat wrote:When upgrading from 1.5.8 preserving settings file /etc/config/gargoyle is remaining old, and Plugins option not showing.


I upgraded fine. Ticked the "Preserve Settings" box. However if I should have a menu item Systems\Plugins, then it's not there.

Suggestions other than a full "firstboot"'?


Additionally to the above for my WNDR3700 v2:

I think something is dodgy with this release. (Sorry Eric)

Flashed 1.5.9 over ispyisail's last release and as I said ticked the "Preserve Settings" box.

I changed my DNS servers via the GUI. Then my internet / NIC dropped connection. The router appeared unresponsive. I changed my IP manually to 192.168.1.2 with GW 192.168.1.1 and still couldn't connect.

I then gained access via the reset / Telnet method. I ran 'firstboot' so the same as reset to default from the GUI. Recycled the power and was able to connect to the router via the browser GUI. The menu item Systems\Plugins was then available. I ran a refresh and got a few themes listed.

Then I changed my settings for wireless, static IPs etc and saved the config. A few times whilst trying to save the config I was sent back to the password screen to reenter it. This is after about 2 or 3 mins of being in say the Static IP section.

I then rebooted the router and it didn't come backup. It just sat with the green power light blinking and the WAN and the 1 connected LAN for hard amber.

Once again I entered the Telnet reset and carried out a firstboot. Recycled the power / router and it didn't come up even after 15 minutes. Just the same green power light blinking and the WAN and the 1 connected LAN for hard amber.

I've now done another telnet reset firstboot and powered off the router. So I'm sending this plugged directly into my cable modem.

What can I do? I'd even think of dropping back to 1.5.6 if you thought that was more stable.

deezer
Posts: 3
Joined: Sat Jan 05, 2013 12:15 am

Re: Version 1.5.9 - Plugins Interface

Postby deezer » Sat Jan 05, 2013 12:26 am

Eric, Is there any guide available for how one would write a Gargoyle plugin?

tourix
Posts: 1
Joined: Sat Jan 05, 2013 1:32 am

Re: Version 1.5.9 - Plugins Interface

Postby tourix » Sat Jan 05, 2013 1:57 am

Hello,

I can confirm (with both a WNDR3700v1 and a WNDR3800) that "Plugins" does not show up under "System" if you keep your settings while upgrading from 1.5.8 to 1.5.9. However, the url <router-ip>/plugins.sh works fine.

The issue does not exist if you upgrade without preserving the settings, and then restore your configuration.

It appears that a reflash is not necessary to fix this issue. You can save your configuration, restore the default configuration, and then restore the saved configuration. "Plugins" will then show up under "System".

Good news: the wireless issues experienced under 1.5.8 with a WNDR3700v1 and a WNDR3800 have disappeared with 1.5.9. These issues were apparently fixed in OpenWRT around r34200. Details in https://dev.openwrt.org/ticket/11894

Thanks for the great work, Eric.

Cheers!

mates
Posts: 128
Joined: Mon Nov 14, 2011 7:53 am

Re: Version 1.5.9 - Plugins Interface

Postby mates » Sat Jan 05, 2013 4:19 am

same here

from 1.5.7 to 1.5.9 preserve setting not working
after clean installation it is ok

User avatar
SirLancelot1982
Posts: 20
Joined: Wed Feb 08, 2012 4:01 pm

Re: Version 1.5.9 - Plugins Interface

Postby SirLancelot1982 » Sat Jan 05, 2013 6:13 am

Just install Gargoyle 1.5.9 on my TP-LINK TL-WR1043ND HW:1.9

Everything looks quick and stable. Even my Epson Stylus DX7450 started to print wireless(on Windows 7 32-bit and Ubuntu 12.04).
---

Best Regards

SirLancelot1982

#---#
ROUTER: TP-LINK TL-WR1043ND
HW: 1.8
SW: Gargoyle 1.5.8
#---#

lorddain
Posts: 1
Joined: Sat Jan 05, 2013 8:14 am

Re: Version 1.5.9 - Plugins Interface

Postby lorddain » Sat Jan 05, 2013 8:17 am

Hello guys!

Came across the Gargoyle firmware after trying dd-wrt on my netgear WNDR3700 and haven't looked back since. Really nice firmware and cheers for all the hard work put in.

I am currently running 1.5.5 and very stable too. I would like to upgrade to 1.5.9. Would it be possible for me to retain settings by making a backup off my settings, then upgrade to 1.5.9 without preserving settings, and after upgrading import the settings?

Thanks for any advice on this matter!
---
using Gargoyle firmware 1.5.5 on a Netgear WNDR3700v2
---


Return to “News”

Who is online

Users browsing this forum: No registered users and 7 guests